gtkmm: Gtk::AlternativeTrigger Class Reference

gtkmm 4.14.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gtk::AlternativeTrigger Class Reference

A Gtk::ShortcutTrigger that triggers when either of two ShortcutTriggers trigger. More...

`#include <gtkmm/shortcuttrigger.h>`

Inheritance diagram for Gtk::AlternativeTrigger:
[legend]

## Public Member Functions
| AlternativeTrigger (AlternativeTrigger &&src) noexcept
AlternativeTrigger & | operator= (AlternativeTrigger &&src) noexcept
| ~AlternativeTrigger () noexcept override
GtkAlternativeTrigger * | gobj ()
| Provides access to the underlying C GObject.
const GtkAlternativeTrigger * | gobj () const
| Provides access to the underlying C GObject.
GtkAlternativeTrigger * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< const ShortcutTrigger > | get_first () const
| Gets the first of the two alternative triggers that may trigger self.
Glib::RefPtr< const ShortcutTrigger > | get_second () const
| Gets the second of the two alternative triggers that may trigger self.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< const ShortcutTrigger > > | property_first () const
| The first `Gtk::ShortcutTrigger` to check.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< const ShortcutTrigger > > | property_second () const
| The second `Gtk::ShortcutTrigger` to check.
Public Member Functions inherited from Gtk::ShortcutTrigger
| ShortcutTrigger (ShortcutTrigger &&src) noexcept
ShortcutTrigger & | operator= (ShortcutTrigger &&src) noexcept
| ~ShortcutTrigger () noexcept override
GtkShortcutTrigger * | gobj ()
| Provides access to the underlying C GObject.
const GtkShortcutTrigger * | gobj () const
| Provides access to the underlying C GObject.
GtkShortcutTrigger * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::ustring | to_string () const
| Prints the given trigger into a human-readable string.
Glib::ustring | to_label (const Glib::RefPtr< const Gdk::Display > &display) const
| Gets textual representation for the given trigger.
bool | equal (const Glib::RefPtr< const ShortcutTrigger > &trigger2) const
| Checks if trigger1 and trigger2 trigger under the same conditions.
int | compare (const Glib::RefPtr< const ShortcutTrigger > &trigger2) const
| The types of trigger1 and trigger2 are `gconstpointer` only to allow use of this function as a `CompareFunc`.
Gdk::KeyMatch | trigger (const Glib::RefPtr< const Gdk::Event > & event, bool enable_mnemonics) const
| Checks if the given event triggers self.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< AlternativeTrigger > | create (const Glib::RefPtr< const ShortcutTrigger > & first, const Glib::RefPtr< const ShortcutTrigger > & second)
Static Public Member Functions inherited from Gtk::ShortcutTrigger
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< ShortcutTrigger > | parse_string (const Glib::ustring &string)
| Tries to parse the given string into a trigger.

## Protected Member Functions
| AlternativeTrigger (const Glib::RefPtr< const ShortcutTrigger > & first, const Glib::RefPtr< const ShortcutTrigger > & second)
Protected Member Functions inherited from Gtk::ShortcutTrigger
| ShortcutTrigger ()

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gtk::AlternativeTrigger > | wrap (GtkAlternativeTrigger *object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::ShortcutTrigger
Glib::RefPtr< Gtk::ShortcutTrigger > | wrap (GtkShortcutTrigger *object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Gtk::ShortcutTrigger that triggers when either of two ShortcutTriggers trigger.

## Constructor & Destructor Documentation

## ◆ AlternativeTrigger() [1/2]

Gtk::AlternativeTrigger::AlternativeTrigger | ( | AlternativeTrigger && | src | ) |
| noexcept

## ◆ ~AlternativeTrigger()

Gtk::AlternativeTrigger::~AlternativeTrigger | ( |  | ) |
| overridenoexcept

## ◆ AlternativeTrigger() [2/2]

Gtk::AlternativeTrigger::AlternativeTrigger | ( | const Glib::RefPtr< const ShortcutTrigger > & | first,
|  | const Glib::RefPtr< const ShortcutTrigger > & | second )
| explicitprotected

## Member Function Documentation

## ◆ create()

static Glib::RefPtr< AlternativeTrigger > Gtk::AlternativeTrigger::create | ( | const Glib::RefPtr< const ShortcutTrigger > & | first,
|  | const Glib::RefPtr< const ShortcutTrigger > & | second )
| static

## ◆ get_first()

Glib::RefPtr< const ShortcutTrigger > Gtk::AlternativeTrigger::get_first | ( |  | ) | const

Gets the first of the two alternative triggers that may trigger self.

get_second() will return the other one.

Returns
  The first alternative trigger.

## ◆ get_second()

Glib::RefPtr< const ShortcutTrigger > Gtk::AlternativeTrigger::get_second | ( |  | ) | const

Gets the second of the two alternative triggers that may trigger self.

get_first() will return the other one.

Returns
  The second alternative trigger.

## ◆ get_type()

static GType Gtk::AlternativeTrigger::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkAlternativeTrigger * Gtk::AlternativeTrigger::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkAlternativeTrigger * Gtk::AlternativeTrigger::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkAlternativeTrigger * Gtk::AlternativeTrigger::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

AlternativeTrigger & Gtk::AlternativeTrigger::operator= | ( | AlternativeTrigger && | src | ) |
| noexcept

## ◆ property_first()

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< const ShortcutTrigger > > Gtk::AlternativeTrigger::property_first | ( |  | ) | const

The first `Gtk::ShortcutTrigger` to check.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_second()

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< const ShortcutTrigger > > Gtk::AlternativeTrigger::property_second | ( |  | ) | const

The second `Gtk::ShortcutTrigger` to check.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::AlternativeTrigger > wrap | ( | GtkAlternativeTrigger * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.